Bug 1676709 - ceph-osd continuous memory growth one of the daemons using 50G+ RSS
Summary: ceph-osd continuous memory growth one of the daemons using 50G+ RSS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.5
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: z4
: 2.5
Assignee: Neha Ojha
QA Contact: Manohar Murthy
Aron Gunn
URL:
Whiteboard:
Keywords:
: 1683591 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-12 22:44 UTC by Vikhyat Umrao
Modified: 2019-04-11 13:33 UTC (History)
21 users (show)

(edit)
.Duplicate indices consuming a lot of memory

In the duplicate checking code an inconsistency was found that caused duplicate indices to be added, instead of trimming them. The duplicate checking code logic has been fixed, making adding and trimming duplicate indices consistent, which results in correctly trimming duplicate indices.
Clone Of:
(edit)
Last Closed: 2019-04-11 13:32:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0747 None None None 2019-04-11 13:33 UTC
Github ceph ceph pull 16744 None None None 2019-02-26 22:57 UTC
Red Hat Knowledge Base (Solution) 3940371 Troubleshoot None Ceph - Why OSD daemons memory consumption keeps on growing in Red Hat Ceph Storage 2.x? 2019-02-26 22:54 UTC

Comment 86 Brad Hubbard 2019-02-28 03:07:42 UTC
*** Bug 1683591 has been marked as a duplicate of this bug. ***

Comment 105 errata-xmlrpc 2019-04-11 13:32:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0747


Note You need to log in before you can comment on or make changes to this bug.